routes/web.php
<?php

use App\Http\Controllers\CommentController;
use App\Http\Controllers\OfferController;
use App\Http\Controllers\PostController;
use App\Http\Controllers\PostLikeController;
use App\Http\Controllers\StuffController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\UserProfileController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');


Route::group(['middleware' => ['auth']], function () {
    Route::resource('user', UserController::class);
    Route::get('user/{user}/delete', [UserController::class, 'destroy'])->name('user.delete');
});

Route::resource('post', PostController::class);

Route::get('user/{user:name}/profile', [UserProfileController::class, 'index'])->name('user.profile');

Route::get('post/{post}/delete', [PostController::class, 'destroy'])->name('post.delete');

Route::resource('offer', OfferController::class);

Route::resource('stuff', StuffController::class);

//Route::post('/post/{id}/likes', [PostLikeController::class, 'store'])->name('post.likes');
//Route::post('post/{post}/likes', [PostLikeController::class, 'destroy'])->name('post.delete');
Route::post('post/{post}/likes',[PostLikeController::class, 'store'])->name('post.likes');
Route::delete('post/{post}/likes',[PostLikeController::class, 'destroy'])->name('post.likes');

Route::resource('post/{post}/comment', CommentController::class);

//Route::post('post/{post}/comment',[CommentController::class, 'store'])->name('post.comment');


//Route::resource('offer', OfferController::class);

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Illuminate\Support\Facades\Hash;

class User extends Authenticatable
{
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function setPasswordAttribute($password)
    {
        $this->attributes['password'] = Hash::make($password);
    }

    public function stuff(){
        return $this->hasMany(Stuff::class);
    }

    public function likes(){
        return $this->hasMany(Like::class);
    }

}

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use Aginev\Datagrid\Datagrid;
use App\Models\User;
use Cassandra\Session;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class UserController extends Controller
{

    public function __construct()
    {
        $this->authorizeResource(User::class, 'user');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View|\Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $users = User::all();
        $grid = new Datagrid($users, $request->get('f', []));
        $grid->setColumn('name', 'Full name')
            ->setColumn('email', 'Email address')
            ->setActionColumn([
                'wrapper' => function ($value, $row) {
                    return '<a href="' . route('user.edit', [$row->id]) . '" title="Edit" class="btn btn-sm btn-primary">Edit</a>
                    <a href="' . route('user.delete', [$row->id]) . '" title="Delete" class="btn btn-sm btn-outline-danger" data-confirm="Are you sure?">Delete</a>';
                }
            ]);

        return view('user.index',
            [
                'grid' => $grid
            ]
        );
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View|\Illuminate\Http\Response
     */
    public function create()
    {

        return view('user.create', [
            'action' => route('user.store'),
            'method' => 'post'
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\RedirectResponse
     */
    public function store(Request $request)
    {
        $user = User::create($request->all());
        $user->save();
        return redirect()->route('user.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View|\Illuminate\Http\Response
     */
    public function edit(User $user)
    {
        $user->password = '';
        return view('user.edit',[
            'action'=>route('user.update', $user->id),
            'method'=>'put',
            'model'=>$user
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Http\RedirectResponse|\Illuminate\Http\Response|\Illuminate\Routing\Redirector
     */
    public function update(Request $request, User $user)
    {

        $request->validate( [
            'name' => ['required', 'string', 'max:255'],
            'email' => 'required', 'string', 'email', 'max:255', 'unique:users' . $user->id,
//            'password' => ['required', 'string', 'min:8', 'confirmed'],
        ]);

        $user->update($request->all());
        return redirect()->route('user.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\RedirectResponse
     */
    public function destroy(User $user)
    {
        $user->delete();
        return back();
    }
}

resources/views/user/profile/index.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">
{{--        <div class="mb-4">--}}
{{--            <a href="{{ route('stuff.create') }}" class="btn btn-success" role="button">Add new post</a>--}}
{{--        </div>--}}

{{--        @if(count($stuffs))--}}
{{--            @foreach($stuffs as $stuff)--}}

        <h1 style="text-align: center" >Používateľ {{$user->name}} ťa víta na svojom profile</h1>;

{{--                <div class="jumbotron">--}}
{{--                    <h1 class="display-4">{{$stuff->title}}</h1>--}}
{{--                    <p class="lead">{{$stuff->body}}</p>--}}
{{--                    <hr class="my-4">--}}
{{--                    <h3 class="display-4 info">Cena: {{$stuff->price}}€</h3>.--}}
{{--                    <h3 class="displa-4 info">PSČ: {{$stuff->psc}}</h3>--}}
{{--                    <div>--}}
{{--                        <a href="{{ route('stuff.show', $stuff) }}" title="Show"--}}
{{--                           class="btn btn-primary">Zobraz</a>--}}
{{--                        </p>--}}
{{--                    </div>--}}
{{--                    --}}{{--                    <a href="{{ route('stuff.show', $stuff) }}" title="Show"--}}
{{--                    --}}{{--                       class="btn btn btn-primary">Zobraz</a>--}}
{{--                    --}}{{--                    </p>--}}
{{--                </div>--}}

                {{--                <h1 class="card-title">{{$stuff->id}}</h1>--}}
                {{--                <p class="card-text">{{$stuff->body}}</p>--}}
                {{--                <p class="card-text">{{$stuff->user_id}}</p>--}}

                {{--                <p class="card-text">{{\App\Models\User::with('stuff')->where('id','$stuff->user_id')->get()}}</p>--}}
                {{--                <p class="card-text">{{$stuff->user->name}}</p>--}}
                {{--                <a href="{{route('user.profile', $stuff->user)}}">{{$stuff->user->name}}</a>--}}

                {{--                <div class="row">--}}
                {{--                    <div class="card" style="width: 18rem;">--}}
                {{--                        <img class="card-img-top" src="..." alt="Card image cap">--}}
                {{--                        <div class="card-body col-sm-4">--}}
                {{--                            <h5 class="card-title">{{$stuff->title}}</h5>--}}
                {{--                            <p class="card-text">{{$stuff->body}}</p>--}}
                {{--                            <a href="{{ route('stuff.show', $stuff) }}" title="Show"--}}
                {{--                               class="btn btn btn-primary">Zobraz</a>--}}
                {{--                        </div>--}}
                {{--                    </div>--}}
                {{--                </div>--}}

                {{--                <div class="jumbotron">--}}
                {{--                    <h1 class="display-4">{{$stuff->title}}</h1>--}}
                {{--                    <p class="lead">{{$stuff->body}}</p>--}}
                {{--                    <hr class="my-4">--}}
                {{--                    <a href="{{ route('stuff.show', $stuff) }}" title="Show"--}}
                {{--                    </p>--}}
                {{--                </div>--}}



                {{--                <div class="card mb-3">--}}
                {{--                    <img class="card-img-top" src="..." alt="Card image cap">--}}
                {{--                    <div class="card-body">--}}
                {{--                        <h5 class="card-title">{{$post->title}}</h5>--}}
                {{--                        <p class="card-text">{{$post->body}}</p>--}}
                {{--                        <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>--}}
                {{--                    </div>--}}
                {{--                </div>--}}

{{--            @endforeach--}}
{{--        @else--}}
{{--            There are no posts--}}
{{--        @endif--}}
{{--    </div>--}}
@endsection